package assets

import (
	"tetris/engine/audio"
)

const (
	SFX_SHAPE_LOCKED audio.SoundID = 0
	SFX_ROW_CLEARED  audio.SoundID = 1
	SFX_MENU_SELECT  audio.SoundID = 0
	SFX_MENU_ENTER   audio.SoundID = 1
	SFX_GAME_OVER    audio.SoundID = 2
)

func LoadSound() *audio.Library {
	return &audio.Library{
		audio.LoadFromMemory(".mp3", SFXBlipData),
		audio.LoadFromMemory(".mp3", SFXBlip2Data),
		audio.LoadFromMemory(".mp3", SFXGameOverData),
		audio.LoadFromMemory(".mp3", SNDBackgroundData),
	}
}
